Summary: Translates char-sets and decodes MIME.
Name: 2UTF
Version: 1.03
Release: 0
Copyright: BSD style or GPL V2
URL: http://www.angelfire.com/me/rch/ll.html#2UTF
BuildRoot: /tmp/2UTF-root
Group: Utilities/Text
Source: sunsite.unc.edu:/pub/Linux/utils/text/2UTF-1.03.tar.gz
Patch: 2UTF-1.03-group.patch
%description
 Filter for char-set translation to and from Unicode.
 Gets char-set definitions from WG15 locales char-maps or similiar tables.
 Can decode nested multi-part MIME messages and invoke external filters.
 Can display char-maps and current console font.  

%prep
%setup
[ $RPM_BUILD_ROOT != / ] && rm -R -f $RPM_BUILD_ROOT
%patch -p1

%build
make config
make GZIPDOCS=yes prefix=/usr sysconfdir=/etc \
		var_prefix=/var OPT="$RPM_OPT_FLAGS"

%install
make GZIPDOCS=yes prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc \
	var_prefix=$RPM_BUILD_ROOT/var \
	docsdir=$RPM_BUILD_ROOT/usr/doc/2UTF \
	tmpdir_install=yes install
chown -R root.root	$RPM_BUILD_ROOT/
chmod -R g-ws		$RPM_BUILD_ROOT/
find $RPM_BUILD_ROOT -type f -or -type l \
	|sed -e 's!^'"$RPM_BUILD_ROOT"'!!; s!/etc!%config &!' >filelist
rm $RPM_BUILD_ROOT/usr/man/man1/{from,to}UTF*
echo ".so man1/2UTF1" > $RPM_BUILD_ROOT/usr/man/man1/toUTF.1
echo ".so man1/2UTF1" > $RPM_BUILD_ROOT/usr/man/man1/fromUTF.1
gzip -9nf $RPM_BUILD_ROOT/usr/man/man?/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%files -f filelist
%dir /usr/doc/2UTF
%dir /usr/doc/2UTF/examples

%post
set -o errexit
/usr/bin/2UTF --create-aliases

